Bug 1234773 - [EPEL6] ipython: Missing dependency on python-argparse
Summary: [EPEL6] ipython: Missing dependency on python-argparse
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ipython
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 08:29 UTC by Marian Csontos
Modified: 2015-07-31 18:34 UTC (History)
6 users (show)

Fixed In Version: ipython-0.13.2-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-31 18:34:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Marian Csontos 2015-06-23 08:29:24 UTC
Description of problem:
[root@saturnin ~]# ipython 
Traceback (most recent call last):
  File "/usr/bin/ipython", line 5, in <module>
    from IPython.frontend.terminal.ipapp import launch_new_instance
  File "/usr/lib/python2.6/site-packages/IPython/__init__.py", line 43, in <module>
    from .config.loader import Config
  File "/usr/lib/python2.6/site-packages/IPython/config/__init__.py", line 16, in <module>
    from .application import *
  File "/usr/lib/python2.6/site-packages/IPython/config/application.py", line 31, in <module>
    from IPython.config.configurable import SingletonConfigurable
  File "/usr/lib/python2.6/site-packages/IPython/config/configurable.py", line 26, in <module>
    from loader import Config
  File "/usr/lib/python2.6/site-packages/IPython/config/loader.py", line 26, in <module>
    from IPython.external import argparse
  File "/usr/lib/python2.6/site-packages/IPython/external/argparse/__init__.py", line 10, in <module>
    from _argparse import *
ImportError: No module named _argparse

Version-Release number of selected component (if applicable):
python-2.6.6-37.el6_4.x86_64
python-ipython-0.13.2-6.el6.noarch

Comment 1 Fedora Update System 2015-07-16 16:58:40 UTC
ipython-0.13.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipython-0.13.2-7.el6

Comment 2 Fedora Update System 2015-07-16 23:44:14 UTC
Package ipython-0.13.2-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ipython-0.13.2-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7230/ipython-0.13.2-7.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-07-31 18:34:24 UTC
ipython-0.13.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.